Get one user

Retrieve one user.

Get one user

GET https://api.signitic.app/users/:email

Headers

Name
Type
Description

x-api-key*

String

Your API key

Path parameters

Name
Type
Description

email*

User email

Success response

{
  "success": true,
  "code": 200,
  "data": {
    "id": 1234567,
    "email": "[email protected]",
    "firstname": "Johanna",
    "lastname": "Doe",
    "enabled": true,
    "group": "Group",
    "picture": null,
    "phone": "+33 1 34 33 22 33",
    "mobile": "+33 6 34 33 22 33",
    "title": "CEO",
    "unit": "Department",
    "address": "1600 Pennsylvania Avenue NW<br/>Washington, DC 20500,<br/>USA",
    "postal_code": "75008",
    "city": "Paris",
    "formula": "Kind regards,<br/>John",
    "vcard_url": "https://signitic.cards/placeholder/johanna.doe",
    "calendar_link": "calendar.com",
    "github_link": "github.com",
    "twitter_link": "twitter.com",
    "facebook_link": "facebook.com",
    "linkedin_link": "linkedin.com",
    "instagram_link": "instagram.com",
    "xing_link": "xing.com",
    "messenger_link": null,
    "threads_link": "threads.net",
    "strava_link": "strava.com",
    "whatsapp_link": "whatsapp.com",
    "pending_change_requests": [],
    "extra_1": "extra field 1",
    "extra_2": "extra field 2",
    "extra_3": "extra field 3",
    "extra_4": "extra field 4",
    "extra_5": "extra field 5",
    "extra_6": "extra field 6",
    "extra_7": "extra field 7",
    "extra_8": "extra field 8",
    "extra_9": "extra field 9",
    "extra_10": "extra field 10",
    "extra_20": "extra field 20",
    "path": {
      "parent_entity": "Company",
      "entity": "Washington Branch",
      "group": "Marketing Direction"
    }
  }
}

Error responses

Status
Internal code
When

400

101

The email format is invalid.

401

99

The API key is missing or invalid.

404

102

The email does not match a user in the workspace.

Last updated